@media (min-width: 768px) {
  html {
    font-size: 13px;
  }
}

html {
  font-size: 12px;
  position: relative;
  min-height: 90%;
}

body {
  margin-bottom: 60px;
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

.text-number{
   font-size: 12px;
   text-align:right;
}

a i, a span {
   font-size: 24px;
   color: #007bff; /* Color azul */
   text-decoration: none;
   padding: 5px;
}

.site-link {
   display: inline;
   padding: .5rem 1rem;
   color: #0d6efd;
   text-decoration: none;
   transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out;
}

.text-off {
   font-size: 12px;
   color: #808080; /* Color gris */
   text-decoration: line-through;
}

.text-alert {
   font-size: 12px;
   color: #ff0000; /* Color rojo */
   text-decoration: none;
}

.text-important {
   font-size: 12px;
   font-weight: bold;
   color:#00a6d3; /* Color azul */
   text-decoration: underline;
}

.text-center {
   text-align: center;
}

.fw-bold {
   font-weight: bold;
}

.currency {
   text-align: right;
   white-space: nowrap;
   font-family: Verdana, Geneva, Tahoma, sans-serif;
}

.text-right {
   text-align: right;
}

.icon-disabled {
   color: #b0b0b0;
   /*opacity: 0.5;*/
   height: 35px;
   pointer-events: none; /* no permite click */
   cursor: not-allowed;
}

.imagen-preview {
   height: 150px;
   object-fit: cover;
   border-radius: 8px;
}

.blink-warning {
   animation: blinkWarning 0.6s ease-in-out 2;
}

@keyframes blinkWarning {
   0% {
      background-color: #fff3cd;
   }

   50% {
      background-color: #ffe69c;
   }

   100% {
      background-color: white;
   }
}

.blink-danger {
   animation: borderDanger 0.4s ease-in-out 3;
}

@keyframes borderDanger {
   0% {
      box-shadow: 0 0 0px red;
   }

   50% {
      box-shadow: 0 0 8px red;
   }

   100% {
      box-shadow: 0 0 0px red;
   }
}

.custom-container {
   width: 85% !important;
   padding: 0 20px; /* Opcional, para controlar los márgenes */
}

.form-switch.form-switch-lg .form-check-input {
   width: 3.5em;
   height: 2em;
   margin-left: 1px;
}

.form-switch.form-switch-lg .form-check-label {
   vertical-align: -moz-middle-with-baseline;
   margin-left: 3px;
}

.form-switch.form-switch-lg .form-check-input:checked {
   background-color: #0d6efd; /* azul Bootstrap */
}